POST api/MedicalExamDashBoard/GetDashboardGroupSchedule/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfGroupScheduleDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of GroupScheduleDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CorporationCode": "sample string 1",
"WLCode": "sample string 2",
"TimePeriod": "2026-08-04T14:31:51.8335845-07:00",
"ScheduleDate": "2026-08-04T14:31:51.8335845-07:00",
"ScheduleTime": "00:00:00.1234567",
"FacilityCode": "sample string 6",
"OnSiteLocationId": 1,
"OnSiteLocationName": "sample string 7",
"Facility": "sample string 8",
"GroupMedicalId": 9,
"CompanyName": "sample string 10",
"WLName": "sample string 11",
"TotalEmployee": 12,
"TotalExams": 13,
"OpenExams": 14,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:51.8335845-07:00",
"DateUpdated": "2026-08-04T14:31:51.8335845-07:00",
"UserIDCreated": 18,
"UserIDUpdated": 19
},
{
"CorporationCode": "sample string 1",
"WLCode": "sample string 2",
"TimePeriod": "2026-08-04T14:31:51.8335845-07:00",
"ScheduleDate": "2026-08-04T14:31:51.8335845-07:00",
"ScheduleTime": "00:00:00.1234567",
"FacilityCode": "sample string 6",
"OnSiteLocationId": 1,
"OnSiteLocationName": "sample string 7",
"Facility": "sample string 8",
"GroupMedicalId": 9,
"CompanyName": "sample string 10",
"WLName": "sample string 11",
"TotalEmployee": 12,
"TotalExams": 13,
"OpenExams": 14,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:51.8335845-07:00",
"DateUpdated": "2026-08-04T14:31:51.8335845-07:00",
"UserIDCreated": 18,
"UserIDUpdated": 19
}
],
"totalCount": 3
}